;;; mlh-ext.el
;;; 
;;; Created by M.Kuwada on 08-Mar-94
;;; 
;;; ChangeLog
;;;   09-Mar-94 by M.Kuwada
;;;     mlh-defrule-conditional, mlh:*defrule-verbose*,
;;;     *notification-window*, notify, notify-internal $B$rDI2C!%(B
;;;     (egg.el $B$+$i%3%T!<$7$F$-$F(Bmlh $BMQ$K=$@5(B)
;;; 
;;;    [$BJdB-(B]
;;;    Egg $B$HF1$8$h$&$K<!$N$h$&$J5-=R$,2DG=$K$J$k!%(B
;;;      (defvar use-kuten-for-comma t   "*$B%3%s%^$r6gE@$KJQ49$9$k(B")
;;;      (defvar use-touten-for-period t "*$B%T%j%*%I$rFIE@$KJQ49$9$k(B")
;;; 
;;;      (mlh-defrule-conditional ","
;;;        (use-kuten-for-comma "$B!"(B")
;;;        (t "$B!$(B"))
;;; 
;;;      (mlh-defrule-conditional "."
;;;        (use-touten-for-period "$B!#(B")
;;;        (t "$B!%(B"))
;;; 
;;;     $B>e<0$O<!<0$HEy2A(B
;;;     ($B%*%W%7%g%J%k$NBhFs0z?t$K$O$3$NB>$K(B "hangul" $B$H(B "latin" $B$,;HMQ2D(B)
;;;      (mlh-defrule-conditional "." "japanese"
;;;        (use-touten-for-period "$B!#(B")
;;;        (t "$B!%(B"))
;;; 
;;;   08-Mar-94 by M.Kuwada (kuwada@ee.uec.ac.jp)
;;;     mlh-defrule $B$N:FDj5A!&DI2C!&:o=|$r2DG=$K$9$kHG$G$"$k(B 
;;;     mlh-defrule* $B$rDI2C!%(B
;;; 

(defvar mlh:*defrule-verbose* t "nil$B$N>l9g(B, mlh-defrule* $B$N7Y9p$rM^@)$9$k(B")

;;; romaji to kana conversion
;;; using automata
;;; 
;;; <state>::= ( <output> . <map> )
;;; <output>::= nil | <string>
;;; <map>::= alist of (<ch> . <state>)
;;; 
;;; mlh-defrule $B$NJQ495,B'$N:FDj5A!&DI2C!&:o=|$r2DG=$K$9$kHG(B
(defun mlh-defrule* (input output &optional lang)
  "$BF~NO$5$l$?%m!<%^;z(B INPUT $B$rJ8;zNs(B OUTPUT $B$KJQ49$9$k5,B'$rDj5A$9$k!%(B
OUTPUT $B$,(B NIL $B$N>l9g$O!$JQ495,B'$r:o=|$9$k!%(B
$BJQ495,B'$O:FDj5A!&DI2C$b2DG=$G$"$k!%(B
LANG $B$OJ8;zNs(B \"japanese\", \"hangul\", and \"latin\" $B$N$$$:$l$+$G$"$k!%(B
LANG $B$,$3$l$i0J30$+>JN,$5$l$?>l9g$O!$(B\"japanese\" $B$H$_$J$9!%(B"
  (let* ((lng (cond ((string= lang "japanese")
		     "hira")
		    ((string= lang "hangul")
		     "hangul")
		    ((string= lang "latin")
		     "ltn")
		    (t "hira")))
	 (state (eval (intern (concat "mlh-" lng "-start-state"))))
	 (chars (eval (intern (concat "mlh-" lng "-chars"))))
	 (i (1- (length input)))
	 str)
    (while (>= i 0)
      (let* ((ch (aref input i))
             (next-state (mlh-next-state state ch)))
        (if (null (memq ch chars))
            (setq chars (cons ch chars)))
        (if next-state
            (setq state next-state)
          (setq next-state (cons nil nil)) ; create new state
          (setcdr state (cons (cons ch next-state) (cdr state)))
          (setq state next-state)))
      (setq i (1- i)))
    (if (car state)
	(if (equal (car state) output)
	    (notify "(mlh-defrule ""%s"" ""%s"" ) $B$O4{$KDj5A$5$l$F$$$^$9!%(B"
		    input output)
	  (if (null output)
	      (if mlh:*defrule-verbose*
		  (notify "(mlh-defrule ""%s"" ""%s"" ) $B$r:o=|$7$^$7$?!%(B"
			  input output))
	    (if mlh:*defrule-verbose*
		;;(notify "(mlh-defrule ""%s"" ""%s"" ) $B$r(B\n\
                ;;  (mlh-defrule ""%s"" ""%s"" ) $B$G:FDj5A$7$^$7$?!%(B"
		;;  input (car state) input output)))
		(notify "(mlh-defrule ""%s"" ""%s"" ) $B$r:FDj5A$7$^$7$?!%(B"
			input output)))
	  (setcar state output))
	(notify "(mlh-defrule ""%s"" ""%s"" ) $B$r?75,$KDj5A$7$^$7$?!%(B"
		input output)
	(setcar state output))
    ;;(set mlh-start-state-sym state)
    ;;(set mlh-set-of-chars-sym chars)
    ))


;;; The following expressions have been derived from egg.el
;;; Emacs Lisp $B$K$O(B &key $B$OI8=`$G$O$J$$!%(B
;;(defmacro mlh-defrule-conditional (input &rest conds &key ((lang: lang) "japanese"))
(defmacro mlh-defrule-conditional (input &optional lang &rest conds)
  "(mlh-defrule-conditional INPUT (COND1 OUTPUT1) ... (CONDn OUTPUTn))$B$O!$(B
INPUT $B$,F~NO$5$l$?;~$K>r7o(B CONDi $B$r=g<!D4$Y!$@.N)$7$?;~$K$O(B OUTPUTi $B$r(B
$B=PNO$9$k!%(B
$BBhFs0z?t$,%j%9%H$G$J$$>l9g!$$=$l$O%*%W%7%g%J%k0z?t(B LANG $B$,;XDj$5$l$?(B
$B$b$N$H$_$J$9!%(B
LANG $B$OJ8;zNs(B \"japanese\", \"hangul\", and \"latin\" $B$N$$$:$l$+$G$"$k!%(B
LANG $B$,$3$l$i0J30$+>JN,$5$l$?>l9g$O!$(B\"japanese\" $B$H$_$J$9!%(B"
  (if (not (stringp lang))
      (progn
	(setq conds (cons lang conds))
	(setq lang "japanese"))
    (if (not (member lang '("japanese" "hangul" "latin")))
	(setq lang "japanese")))
  (list 'mlh-defrule* input (cons 'cond conds) lang))

(defconst *notification-window* " *Notification* ")

(defun notify (str &rest args)
  (notify-internal (apply 'format (cons str args))))

(defun notify-internal (message &optional noerase)
  (save-excursion
    (let ((notify-buff (get-buffer-create *notification-window*)))
      (set-buffer notify-buff)
      (goto-char (point-max))
      (setq buffer-read-only nil)
      (insert (substring (current-time-string) 4 19) ":: " message ?\n )
      (setq buffer-read-only t)
      (bury-buffer notify-buff)
      (message "%s" message)		; 92.4.15 by T.Enami
      (if noerase nil
	(sleep-for 1) (message "")))))


;(defvar use-touten-for-comma t   "*$B%3%s%^$rFIE@$KJQ49$9$k(B")
;(defvar use-kuten-for-period t   "*$B%T%j%*%I$r6gE@$KJQ49$9$k(B")

;(mlh-defrule-conditional ","
;  (use-touten-for-comma "$B!"(B")
;  (t "$B!$(B"))
;
;(mlh-defrule-conditional "."
;  (use-kuten-for-period "$B!#(B")
;  (t "$B!%(B"))

