(defun mlh-greek ()
  (forward-char -1)
  (skip-chars-backward "a-zA-Z")
  (mlh-backward-henkan)
  (setq beg (point))
  (goto-char end-marker)
  (backward-delete-char 2)
  (let* ((str (buffer-substring beg (point)))
         (greek (mlh-greek<==string str)))
    (delete-region beg (point))
    (insert (if greek greek "?greek?")))
  (if (null henkan-begin)
      (setq henkan-begin beg)))

(defconst mlh-greek-table
  '(
    ("alpha" .",Fa(B") ("beta"    .",Fb(B") ("gamma"   .",Fc(B")
    ("delta" .",Fd(B") ("epsilon" .",Fe(B") ("zeta"    .",Ff(B")
    ("eta"   .",Fg(B") ("theta"   .",Fh(B") ("iota"    .",Fi(B")
    ("kappa" .",Fj(B") ("lambda"  .",Fk(B") ("mu"      .",Fl(B")
    ("nu"    .",Fm(B") ("xi"      .",Fn(B") ("omicron" .",Fo(B")
    ("pi"    .",Fp(B") ("rho"     .",Fq(B") ("sigma"   .",Fs(B")
    ("tau"   .",Ft(B") ("upsilon" .",Fu(B") ("phi"     .",Fv(B")
    ("chi"   .",Fw(B") ("psi"     .",Fx(B") ("omega"   .",Fy(B")
    ("others" .",Frz{|}~(B")

    ("Alpha" .",FA(B") ("Beta"    .",FB(B") ("Gamma"   .",FC(B")
    ("Delta" .",FD(B") ("Epsilon" .",FE(B") ("Zeta"    .",FF(B")
    ("Eta"   .",FG(B") ("Theta"   .",FH(B") ("Iota"    .",FI(B")
    ("Kappa" .",FJ(B") ("Lambda"  .",FK(B") ("Mu"      .",FL(B")
    ("Nu"    .",FM(B") ("Xi"      .",FN(B") ("Omicron" .",FO(B")
    ("Pi"    .",FP(B") ("Rho"     .",FQ(B") ("Sigma"   .",FS(B")
    ("Tau"   .",FT(B") ("Upsilon" .",FU(B") ("Phi"     .",FV(B")
    ("Chi"   .",FW(B") ("Psi"     .",FX(B") ("Omega"   .",FY(B")
    ("Others".",F456789:;<=>?@Z[\]^_`(B"))
  "Convertion table of words(symbol) to greek letters(string).")

(defun mlh-greek<==string (str)
  "Convert string to greek letter with `mlh-greek-table'"
  (cdr (assoc str mlh-greek-table)))
