(defun mlh-ltn ()
  (let ((string (mlh-roma-kana-backward
                 mlh-ltn-start-state mlh-ltn-chars)))
    (mlh-backward-henkan)
    (setq beg (point))
    (goto-char end-marker)
    (delete-region beg (point))
    (insert string))
  (if (null henkan-begin)
      (setq henkan-begin beg)))

;; Definition of Automaton for Latin.
;;
;; The codes in this file are based on european.el, which is,
;; distributed in mule lisp directory
;;; 92.3.5   created for Mule Ver.0.9.0 by K.Handa <handa@etl.go.jp>
;;; 92.5.12  modified for Mule Ver.0.9.4 by N.Takanashi <ntakahas@etl.go.jp>
;;;	ltn-attribute-list is augmented.
;;; 92.5.28  modified for Mule Ver.0.9.4 by K.Handa <handa@etl.go.jp>
;;;	Big change for introducing Latin mode (minor mode).

(mlh-define-automata mlh-ltn-start-state mlh-ltn-chars)

;(let ((l ltn-attribute-list))
;  (insert "\n")
;  (while l
;    (let* ((entry (car l))
;           (char1 (car entry))
;           (list (cdr entry)))
;      (while list
;        (let ((entry (car list)))
;          (insert "(mlh-defrule ")
;          (prin1 (format "%c%c" (car entry) char1))
;          (insert " ")
;          (prin1 (char-to-string  (cdr entry)))
;          (insert ")\n")
;          (setq list (cdr list))))
;      (setq l (cdr l)))))

(mlh-defrule "A`" ",A@(B")
(mlh-defrule "E`" ",AH(B")
(mlh-defrule "I`" ",AL(B")
(mlh-defrule "O`" ",AR(B")
(mlh-defrule "U`" ",AY(B")
(mlh-defrule "D`" ",AP(B")
(mlh-defrule "T`" ",A^(B")
(mlh-defrule "a`" ",A`(B")
(mlh-defrule "e`" ",Ah(B")
(mlh-defrule "i`" ",Al(B")
(mlh-defrule "o`" ",Ar(B")
(mlh-defrule "u`" ",Ay(B")
(mlh-defrule "d`" ",Ap(B")
(mlh-defrule "t`" ",A~(B")
(mlh-defrule "A'" ",AA(B")
(mlh-defrule "E'" ",AI(B")
(mlh-defrule "I'" ",AM(B")
(mlh-defrule "O'" ",AS(B")
(mlh-defrule "U'" ",AZ(B")
(mlh-defrule "Y'" ",A](B")
(mlh-defrule "a'" ",Aa(B")
(mlh-defrule "e'" ",Ai(B")
(mlh-defrule "i'" ",Am(B")
(mlh-defrule "o'" ",As(B")
(mlh-defrule "u'" ",Az(B")
(mlh-defrule "y'" ",A}(B")
(mlh-defrule "A^" ",AB(B")
(mlh-defrule "E^" ",AJ(B")
(mlh-defrule "I^" ",AN(B")
(mlh-defrule "O^" ",AT(B")
(mlh-defrule "U^" ",A[(B")
(mlh-defrule "a^" ",Ab(B")
(mlh-defrule "e^" ",Aj(B")
(mlh-defrule "i^" ",An(B")
(mlh-defrule "o^" ",At(B")
(mlh-defrule "u^" ",A{(B")
(mlh-defrule "A~" ",AC(B")
(mlh-defrule "O~" ",AU(B")
(mlh-defrule "N~" ",AQ(B")
(mlh-defrule "a~" ",Ac(B")
(mlh-defrule "o~" ",Au(B")
(mlh-defrule "n~" ",Aq(B")
(mlh-defrule "!~" ",A!(B")
(mlh-defrule "?~" ",A?(B")
(mlh-defrule "A\"" ",AD(B")
(mlh-defrule "E\"" ",AK(B")
(mlh-defrule "I\"" ",AO(B")
(mlh-defrule "O\"" ",AV(B")
(mlh-defrule "U\"" ",A\(B")
(mlh-defrule "a\"" ",Ad(B")
(mlh-defrule "e\"" ",Ak(B")
(mlh-defrule "i\"" ",Ao(B")
(mlh-defrule "o\"" ",Av(B")
(mlh-defrule "u\"" ",A|(B")
(mlh-defrule "y\"" ",A(B")
(mlh-defrule "C," ",AG(B")
(mlh-defrule "c," ",Ag(B")
(mlh-defrule "s," ",A_(B")
(mlh-defrule "A@" ",AE(B")
(mlh-defrule "E@" ",AF(B")
(mlh-defrule "O@" ",AX(B")
(mlh-defrule "a@" ",Ae(B")
(mlh-defrule "e@" ",Af(B")
(mlh-defrule "o@" ",Ax(B")
(mlh-defrule "<<" ",A+(B")
(mlh-defrule ">>" ",A;(B")

(mlh-end-of-definition)
