;; Modified by M.Kuwada (kuwada@ee.uec.ac.jp)
;; Mar 1994
;; Canna $B$GF0:n$9$k$h$&$KA4LLE*$K=$@5!&DI2C(B
;;
;; Modified by gniibe
;; Wed Jan 12 22:24:18 1994
;; Sun Jan 16 16:43:45 1994

;; original version is:
;; $Id: mlh-canna.el,v 1.8 1993/11/11 14:08:49 kon Exp $
;;

;;; The following variables added by M.Kuwada
(defvar mlh:*used-flag* nil)
(defvar mlh:*buffer-local-map-backup* nil)
(defvar mlh:*local-map-backup* nil)
(defvar mlh:*canna-hensyuu-mode* nil)

(make-variable-buffer-local 'mlh:*used-flag*)
(make-variable-buffer-local 'mlh:*buffer-local-map-backup*)
(make-variable-buffer-local 'mlh:*local-map-backup*)
(make-variable-buffer-local 'mlh:*canna-hensyuu-mode*)

;; derived from mlh.el and changed by M.Kuwada on 07-Mar-94 (for canna)
(defun mlh-space-bar-backward-henkan ()
  "If the character preceding point is / (slash),
Do `mlh-backward-henkan'.  Then, invoke appropriate conversion, if needed.
Or else, execute command that space-bar invokes usually."
  (interactive)
  (let ((henkan-begin nil)
        (inhibit-henkan t))
    ;; for C-c command
    (if (null mlh:*used-flag*)
	(let ()
	  (setq mlh:*buffer-local-map-backup* (current-local-map))
	  (setq mlh:*used-flag* t)))
    (mlh-backward-henkan)
    (if henkan-begin
        (if (or inhibit-henkan (= henkan-begin (point)))
            (mlh:do-auto-fill)
          (let ((canna-mode-map mlh-henkan-mode-map))
            (message "Converting...")
            (sit-for 0)
	    (funcall henkan-region-function henkan-begin (point))
            (message "") ))
      (setq this-command 'self-insert-command)
      (call-interactively 'self-insert-command))))

(setq henkan-region-function 'canna-henkan-region)

;;(setq mlh-kanji-function 'mlh-canna-henkan)
;; changed by M.Kuwada on 07-Mar-94
(defun mlh-canna-henkan ()
  (let ((string (mlh-roma-kana-backward
                 mlh-hira-start-state mlh-hira-chars)))
    (mlh-backward-henkan)
    (setq inhibit-henkan nil)
    (setq beg (point))
    (goto-char end-marker)
    (delete-region beg (point))
    (canna-key-proc ?\C-o)
    (insert string)
    (if (null henkan-begin)
	(setq henkan-begin beg))
    ))

;;; changed by M.Kuwada 05-Mar-94
(setq mlh-conversion-scheme-table
  '(
    (?- . mlh-canna-henkan)
;    (?` . mlh-ltn)
;    (?' . mlh-ltn)
;    (?, . mlh-ltn)
    (?, . mlh-canna-henkan)
    (?. . mlh-canna-henkan)
    (?? . mlh-canna-henkan)
;    (?^ . mlh-ltn)
;    (?~ . mlh-ltn)
;    (?\". mlh-ltn)
;    (?@ . mlh-ltn)
;    (?< . mlh-ltn)
;    (?> . mlh-ltn)
    (?a . mlh-canna-henkan)
;    (?b . mlh-)
    (?c . mlh-capitalize)
    (?d . mlh-user-defined-conversion)
    (?e . mlh-canna-henkan)
    ;;(?f . mlh-canna-hiragana)
    (?f . mlh-hiragana)
    (?g . mlh-greek)
    (?h . mlh-hangul)
    (?i . mlh-canna-henkan)
    (?j . mlh-jis-code)
    ;;(?k . mlh-canna-katakana)
    (?k . mlh-katakana)
;    (?l . mlh-ligature)
;    (?m . mlh-)
    (?n . mlh-canna-henkan)
;    (?n . mlh-no-conversion)
    (?o . mlh-canna-henkan)
    (?p . mlh-upcase-letter)
    (?q . mlh-quit)
;    (?r . mlh-)
    (?s . mlh-small-letter)
;    (?t . mlh-)
    (?u . mlh-canna-henkan)
;    (?v . mlh-)
    (?w . mlh-white-space)
    (?x . mlh-execute)
;    (?y . mlh-)
    (?z . mlh-zhongwen)
    (?H . mlh-hiragana-to-kanji)
    (?L . mlh-lisp-expression)
    (?W . mlh-zenkaku-white)
    (?X . mlh-exit)
    (?Z . mlh-canna-zenkaku)
))

;;; The following expressions have been added by M.Kuwada 07-Mar-94
(fset 'mlh:do-auto-fill (symbol-function 'canna:do-auto-fill))

(defun mlh-canna-zenkaku ()
  (forward-char -1)
  (skip-chars-backward "\041-\056\060-\176")
  (mlh-backward-henkan)
  (setq beg (point))
  (goto-char end-marker)
  (backward-delete-char 2)
  (cond ((not (eq beg (point)))
	 (canna-rk-region beg (point))
	 (delete-region beg (point))
	 (canna-do-function canna-func-zenkaku)
	 (canna-key-proc ?\C-m) 
	 (insert canna-kakutei-string)
	 ))
  (setq henkan-begin (point)) )

;;; derived from egg.el
(defun hexadigit-value (ch)
  (cond((and (<= ?0 ch) (<= ch ?9))
	(- ch ?0))
       ((and (<= ?a ch) (<= ch ?f))
	(+ (- ch ?a) 10))
       ((and (<= ?A ch) (<= ch ?F))
	(+ (- ch ?A) 10))))

(defun read-jis-code-from-string (str)
  (if (and (= (length str) 4)
	   (<= 2 (hexadigit-value (aref str 0)))
	   (hexadigit-value (aref str 1))
	   (<= 2 (hexadigit-value (aref str 2)))
	   (hexadigit-value (aref str 3)))
  (cons (+ (* 16 (hexadigit-value (aref str 0)))
	       (hexadigit-value (aref str 1)))
	(+ (* 16 (hexadigit-value (aref str 2)))
	   (hexadigit-value (aref str 3))))))

;;; derived from mlh+wnn4-egg.el
(defvar mlh-henkan-mode-map (copy-keymap canna-mode-map))

;;; acutually this map is not necessary now. for future extention
(defvar mlh-henkan-mode-esc-map (make-keymap)
  "henkan-mode-esc-map in mlh")

(let ((ch 0))
  (while (< ch 127)
    (define-key mlh-henkan-mode-esc-map (char-to-string ch) 'undefined)
    (setq ch (1+ ch))))

(let ((ch 33))
  (while (< ch 127)
    (define-key mlh-henkan-mode-map (char-to-string ch) 'mlh-henkan-kakutei-unread-char)
    (setq ch (1+ ch))))

(define-key mlh-henkan-mode-map "\e"    mlh-henkan-mode-esc-map)    ;Change
;;(define-key mlh-henkan-mode-map "\ei"  'henkan-inspect-bunsetu)
;(define-key mlh-henkan-mode-map "\ei"  'henkan-bunsetu-chijime-sho)
;(define-key mlh-henkan-mode-map "\eo"  'henkan-bunsetu-nobasi-sho)
(define-key mlh-henkan-mode-map "\es"  'mlh-henkan-select-kouho)
(define-key mlh-henkan-mode-map "\eh"  'mlh-henkan-hiragana)
(define-key mlh-henkan-mode-map "\ek"  'mlh-henkan-katakana)
;(define-key mlh-henkan-mode-map "\ez"  'henkan-select-kouho-sho)
;(define-key mlh-henkan-mode-map "\e<"  'henkan-saishou-bunsetu)
;(define-key mlh-henkan-mode-map "\e>"  'henkan-saichou-bunsetu)
;(define-key mlh-henkan-mode-map " "    'mlh-henkan-next-kouho)     ;Don't use
(define-key mlh-henkan-mode-map "\C- " 'mlh-henkan-next-kouho)
;(define-key mlh-henkan-mode-map "\C-@" 'henkan-next-kouho-dai)
;(define-key mlh-henkan-mode-map "\C-a" 'henkan-first-bunsetu)
;(define-key mlh-henkan-mode-map "\C-b" 'henkan-backward-bunsetu)
(define-key mlh-henkan-mode-map "\C-c" 'mlh-bubun-muhenkan)         ;Change
;(define-key mlh-henkan-mode-map "\C-d" 'undefined)
;(define-key mlh-henkan-mode-map "\C-e" 'henkan-last-bunsetu)
;(define-key mlh-henkan-mode-map "\C-f" 'henkan-forward-bunsetu)
;(define-key mlh-henkan-mode-map "\C-g" 'mlh-henkan-quit)           ;Don't use
(define-key mlh-henkan-mode-map "\C-h" 'help-command)
;(define-key mlh-henkan-mode-map "\C-i" 'henkan-bunsetu-chijime-dai)
;(define-key mlh-henkan-mode-map "\C-j" 'undefined)
;;(define-key mlh-henkan-mode-map "\C-k" 'mlh-kill-to-end-of-line)  ;Don't use
(define-key mlh-henkan-mode-map "\C-l" 'mlh-henkan-kakutei)         ;Don't change
;(define-key mlh-henkan-mode-map "\C-m" 'mlh-henkan-kakutei)        ;Don't use
;(define-key mlh-henkan-mode-map "\C-n" 'henkan-next-kouho)
;(define-key mlh-henkan-mode-map "\C-o" 'henkan-bunsetu-nobasi-dai)
;(define-key mlh-henkan-mode-map "\C-p" 'henkan-previous-kouho)
;(define-key mlh-henkan-mode-map "\C-q" 'undefined)
;(define-key mlh-henkan-mode-map "\C-r" 'undefined)
;(define-key mlh-henkan-mode-map "\C-s" 'undefined)
;(define-key mlh-henkan-mode-map "\C-t" 'undefined)
;(define-key mlh-henkan-mode-map "\C-u" 'undefined)
;(define-key mlh-henkan-mode-map "\C-v" 'henkan-inspect-bunsetu)
;(define-key mlh-henkan-mode-map "\C-w" 'henkan-next-kouho-dai)
;(define-key mlh-henkan-mode-map "\C-x" 'undefined)
;(define-key mlh-henkan-mode-map "\C-y" 'undefined)
;(define-key mlh-henkan-mode-map "\C-z" 'undefined)
(define-key mlh-henkan-mode-map "/" 'mlh-henkan-kakutei)
(define-key mlh-henkan-mode-map "\C-_" 'mlh-henkan-kakutei-unread-char)
(define-key mlh-henkan-mode-map "\177" 'mlh-henkan-quit)              ;Change

;;; $B$3$l$GItJ,L5JQ49%b!<%I$O5!G=$9$k!%(B
(defun mlh-henkan-kakutei ()
  "Do `kakutei'.  Not set undo-boundary."
  (interactive)
  (if mlh:*canna-hensyuu-mode*
      (let ()
	(canna:display-candidates (canna-key-proc ?\C-m))
	(setq mlh:*canna-hensyuu-mode* nil)
	(use-local-map mlh:*local-map-backup*))
    ;; process after using C-c command
    (use-local-map mlh:*buffer-local-map-backup*)
    (canna-kakutei-to-basic-stat))
  )

(defun mlh-bubun-muhenkan ()
  (interactive)
  (setq mlh:*canna-hensyuu-mode* t)
  (setq mlh:*local-map-backup* (current-local-map))
  ;; canna-mode-map $B$r;HMQ$7$J$$$HItJ,L5JQ49%b!<%I$,5!G=$7$J$$!%(B
  ;; $B$7$+$7$3$l$r;HMQ$9$k$H(B C-c $B$GItJ,L5JQ49%b!<%I$KF~$C$F(B
  ;; $BJ8;zNs$rF~NO$7$FJQ498e!$3NDj$7$J$$$G%b!<%II=<($,(B "[$BJT=8(B]" $B$N$^$^$G(B
  ;; $B<!$NJ8;zNsF~NO$K0\$k$H!$(BCanna $B$NJQ49F~NO%b!<%I(B($B%b!<%II=<($,(B"[$B$"(B]")
  ;; $B$KF~$k!%(B
  ;; $B$=$3$GJQ493NDj$7$F%U%'%s%9%b!<%I$rH4$1$k$H@5>o$K%-!<F~NO$G$-$J$/$J$k!%(B
  ;; C-m $B$G(B ^M $B$H$+@)8f%-!<$,$=$N$^$^%P%C%U%!$KA^F~$5$l$k$h$&$K$J$C$?$i!$(B
  ;; C-l $B$rF~NO$9$k$H@5>o$J>uBV$KI|5"$9$k!%(B
  (use-local-map canna-mode-map) 
  ;; $B$3$l$,$J$$$HItJ,L5JQ49%b!<%I$+$i<!$NF~NO$G(B Canna $B$N(B
  ;; $BF|K\8l%b!<%I$K$J$C$F$7$^$&!%(B
  (define-key canna-mode-map "\C-m" 'mlh-henkan-kakutei)  
  (canna:display-candidates (canna-do-function canna-func-bubun-muhenkan))
  )

;; Canna $B$N>l9g$O!$%+!<%=%k$N:8B&$r3NDj8e!$1&B&$r9TKv$^$G$R$i$,$J$KLa$9!%(B
;; $B%b!<%I%i%$%s$O!V$"!W$K$J$k!%%U%'%s%9%b!<%IFb$O:FJQ492DG=!%(B
;; mlh-henkan-mode-map $B$G(B "C-k" $B$rDj5A$7$J$$$G(B Canna $B$KG$$;$?J}$,$h$$!%(B
;(defun mlh-kill-to-end-of-line ()
;  "Kill to end of line in mlh."
;  (interactive)
;  ;;(canna:display-candidates (canna-do-function canna-func-mark))
;  (canna:display-candidates (canna-do-function canna-func-kill-to-end-of-line))
;  )

;; added by M.Kuwada on 11-Mar-94
(defun mlh-henkan-quit ()
  "henkan-quit in mlh.
Not entering fence mode, do quit."
  (interactive)
  ;;(canna-henkan-quit)
  (canna:display-candidates (canna-do-function canna-func-kill-to-end-of-line))
  (canna:display-candidates (canna-do-function canna-func-quit))
  )

(defun mlh-henkan-next-kouho ()
  "next henkan kouho in mlh."
  (interactive)
  (canna:display-candidates (canna-do-function canna-func-next))
 )

(defun mlh-henkan-select-kouho ()
  "henkan kouho ichiran in mlh."
  (interactive)
  (canna:display-candidates (canna-do-function canna-func-kouho-ichiran))
 )

;; added by M.Kuwada on 10-Mar-94 (derived from mlh+wnn4-egg.el)
(defun mlh-henkan-kakutei-unread-char ()
  "Set unread-command-char for next reading of input,
and call mlh-henkan-kakutei to do `kakutei'."
  (interactive)
  (setq unread-command-char last-command-char)
  (mlh-henkan-kakutei)
  )

(defun mlh-henkan-hiragana ()
  (interactive)
  (canna:display-candidates (canna-do-function canna-func-hiragana))
  )

(defun mlh-henkan-katakana ()
  (interactive)
  (canna:display-candidates (canna-do-function canna-func-katakana))
  )

;;; derived from Canna22/emacs23/lisp/canna.el (for mule-1.0-01)
;(defun canna-rk-region (start end)
;  "Convert region into kana."
;  (interactive "r")
;  (let ((str nil) (len 0) (i 0) (res 0))
;    (setq str (buffer-substring start end))
;    (setq len (length str))
;    (while (< i len)
;      (let ((ch (elt str i)))
;	(if (> ch ? )
;	    (setq res (canna-do-function canna-func-functional-insert ch)) ))
;      (setq i (1+ i)) )
;    res))

