(setq henkan-region-function 'henkan-region-internal)
;;;;;;; This code are based on wnn4-egg.el
;
;;;  Written by Toshiaki Shingu (shingu@cpr.canon.co.jp)
;;;  Modified for Wnn V4 library on wnn4v3-egg.el

(defvar mlh-henkan-mode-map (make-keymap)
  "henkan-mode-map in mlh")

;;; acutually this map is not necessary now. for future extention
(defvar mlh-henkan-mode-esc-map (make-keymap)
  "henkan-mode-esc-map in mlh")

(let ((ch 0))
  (while (<= ch 127)
    (define-key mlh-henkan-mode-map (char-to-string ch) 'undefined)
    (define-key mlh-henkan-mode-esc-map (char-to-string ch) 'undefined)
    (setq ch (1+ ch))))

(let ((ch 32))
  (while (< ch 127)
    (define-key mlh-henkan-mode-map (char-to-string ch)
      'mlh-henkan-kakutei-unread-char)
    (setq ch (1+ ch))))

(define-key mlh-henkan-mode-map "\e"    mlh-henkan-mode-esc-map)       ; CHANGE
;(define-key mlh-henkan-mode-map "\ei"  'henkan-inspect-bunsetu)
(define-key mlh-henkan-mode-map "\ei"  'henkan-bunsetu-chijime)
(define-key mlh-henkan-mode-map "\eo"  'henkan-bunsetu-nobasi)
(define-key mlh-henkan-mode-map "\es"  'henkan-select-kouho)
(define-key mlh-henkan-mode-map "\eh"  'henkan-hiragana)
(define-key mlh-henkan-mode-map "\ek"  'henkan-katakana)
(define-key mlh-henkan-mode-map "\ez"  'henkan-select-kouho)
(define-key mlh-henkan-mode-map "\e<"  'henkan-saishou-bunsetu)
(define-key mlh-henkan-mode-map "\e>"  'henkan-saichou-bunsetu)
(define-key mlh-henkan-mode-map " "    'henkan-next-kouho)
(define-key mlh-henkan-mode-map "\C-@" 'henkan-kakutei-first-char)
(define-key mlh-henkan-mode-map "\C-a" 'henkan-first-bunsetu)
(define-key mlh-henkan-mode-map "\C-b" 'henkan-backward-bunsetu)
(define-key mlh-henkan-mode-map "\C-c" 'mlh-henkan-quit)               ; CHANGE
(define-key mlh-henkan-mode-map "\C-d" 'undefined)
(define-key mlh-henkan-mode-map "\C-e" 'henkan-last-bunsetu)
(define-key mlh-henkan-mode-map "\C-f" 'henkan-forward-bunsetu)
(define-key mlh-henkan-mode-map "\C-g" 'mlh-henkan-quit)               ; CHANGE
(define-key mlh-henkan-mode-map "\C-h" 'henkan-help-command)
(define-key mlh-henkan-mode-map "\C-i" 'henkan-bunsetu-chijime)
(define-key mlh-henkan-mode-map "\C-j" 'undefined)
(define-key mlh-henkan-mode-map "\C-k" 'undefined)                     ; CHANGE
(define-key mlh-henkan-mode-map "\C-l" 'mlh-henkan-kakutei)            ; CHANGE
(define-key mlh-henkan-mode-map "\C-m" 'mlh-henkan-kakutei-unread-char); CHANGE
(define-key mlh-henkan-mode-map "\C-n" 'henkan-next-kouho)
(define-key mlh-henkan-mode-map "\C-o" 'henkan-bunsetu-nobasi)
(define-key mlh-henkan-mode-map "\C-p" 'henkan-previous-kouho)
(define-key mlh-henkan-mode-map "\C-q" 'undefined)
(define-key mlh-henkan-mode-map "\C-r" 'undefined)
(define-key mlh-henkan-mode-map "\C-s" 'undefined)
(define-key mlh-henkan-mode-map "\C-t" 'toroku-henkan-mode)
(define-key mlh-henkan-mode-map "\C-u" 'undefined)
(define-key mlh-henkan-mode-map "\C-v" 'henkan-inspect-bunsetu)
(define-key mlh-henkan-mode-map "\C-w" 'henkan-next-kouho)
(define-key mlh-henkan-mode-map "\C-x" 'undefined)
(define-key mlh-henkan-mode-map "\C-y" 'undefined)
(define-key mlh-henkan-mode-map "\C-z" 'henkan-next-kouho)
(define-key mlh-henkan-mode-map "\C-_" 'mlh-henkan-kakutei-unread-char)
(define-key mlh-henkan-mode-map "/" 'mlh-henkan-kakutei)
(define-key mlh-henkan-mode-map "\177" 'mlh-henkan-quit)               ; CHANGE

(defun mlh-henkan-quit ()
  "henkan-quit in mlh.
Not entering fence mode, do quit."
  (interactive)
  (egg:bunsetu-attribute-off *bunsetu-number*)
  (egg:henkan-attribute-off)
  (delete-region (- egg:*region-start* (length egg:*henkan-open*))
		 egg:*region-start*)
  (delete-region egg:*region-start* egg:*region-end*)
  (delete-region egg:*region-end*
                 (+ egg:*region-end* (length egg:*henkan-close*)))
  (goto-char egg:*region-start*)
  (sj3-server-henkan-quit)
  (egg:quit-egg-mode)
  (signal 'quit nil))

;;; modified version of henkan-kakutei in wnn4-egg.el
(defun mlh-henkan-kakutei ()
  "Do `kakutei'.  Not set undo-boundary."
  (interactive)
  (egg:bunsetu-attribute-off *bunsetu-number*)
  (egg:henkan-attribute-off)
  (delete-region (- egg:*region-start* (length egg:*henkan-open*))
		 egg:*region-start*)
  (delete-region egg:*region-start* egg:*region-end*)
  (delete-region egg:*region-end* (+ egg:*region-end* (length egg:*henkan-close*)))
  (goto-char egg:*region-start*)
  (let ((i 0) (max (bunsetu-su)))
    (while (< i max)
      ;;;(KKCP:henkan-kakutei i (bunsetu-kouho-number i))
      (bunsetu-kanji-insert i)
;;      (if (not overwrite-mode)
;;	  (undo-boundary))
      (setq i (1+ i))
      ))
  (sj3-server-henkan-end nil)
  (egg:quit-egg-mode)
  )

(defun mlh-henkan-kakutei-unread-char ()
  "Set unread-command-char for next reading of input,
and call mlh-henkan-kakutei to do `kakutei'."
  (interactive)
  (setq unread-command-char last-command-char)
  (mlh-henkan-kakutei))
